package org.jvnet.hifaces.binding;

import javax.faces.context.FacesContext;
import javax.faces.el.EvaluationException;
import javax.faces.el.MethodNotFoundException;

public class GenericVoidMethodBinding extends MethodBinding {

  private static final long serialVersionUID = 1L;

  public Class getType(FacesContext facescontext) throws MethodNotFoundException {
    return Void.class;
  }

  public Object invoke(FacesContext facescontext, Object[] aobj)
      throws EvaluationException,
      MethodNotFoundException {
    execute(facescontext, aobj);
    return null;
  }

  protected void execute(FacesContext facescontext, Object[] aobj) {
    execute(aobj);
  }

  protected void execute(Object[] aobj) {
    execute();
  }

  protected void execute() {
  }
}
