package org.jvnet.hifaces.binding.message;

import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;

public class NestedMessageValueBinding extends
		AbstractSingleMessageValueBinding {
	protected final ValueBinding valueBinding;

	public static final String FALLBACK_MESSAGE_ID = "fallback.message";

	public NestedMessageValueBinding(final ValueBinding valueBinding) {
		this.valueBinding = valueBinding;
	}

	protected String getMessageId(final FacesContext facesContext) {
		final Object value = valueBinding.getValue(facesContext);
		if (value != null) {
			return value.toString();
		} else {
			return FALLBACK_MESSAGE_ID;
		}
	}

}
