package org.jvnet.hifaces.renderkit.html.ext;

import java.io.IOException;

import javax.faces.application.ViewHandler;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

import org.apache.myfaces.shared_tomahawk.renderkit.html.HTML;

public class HtmlTextareaRenderer extends
		org.apache.myfaces.renderkit.html.ext.HtmlTextareaRenderer {

	public static final String RENDERER_TYPE = "org.jvnet.hifaces.Textarea";

	@Override
	protected void encodeTextArea(FacesContext facesContext,
			UIComponent uiComponent) throws IOException {
		super.encodeTextArea(facesContext, uiComponent);
		ResponseWriter writer = facesContext.getResponseWriter();
		writer.startElement(HTML.SCRIPT_ELEM, uiComponent);
		ViewHandler handler = facesContext.getApplication().getViewHandler();
		String resourceURL = handler.getResourceURL(facesContext,
				"weblet://org.jvnet.hifaces/custom/textarea/adjust.js");
		writer.writeAttribute(HTML.TYPE_ATTR, "text/javascript", null);
		writer.writeAttribute(HTML.SRC_ATTR, resourceURL, null);
		writer.endElement(HTML.SCRIPT_ELEM);
		writer.startElement(HTML.SCRIPT_ELEM, uiComponent);
		writer.writeAttribute(HTML.TYPE_ATTR, "text/javascript", null);
		writer.write("Hi$installAdjustRows(\'"+ uiComponent.getClientId(facesContext)+"\');");
		// writer.write("alert(\'hi there!\');");
		writer.endElement(HTML.SCRIPT_ELEM);
		
	}

}
