package org.jvnet.hifaces.convert;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class DateTimeCalendarConverter extends AbstractCalendarConverter {

	private static final String CONVERSION_MESSAGE_ID = "org.jvnet.hifaces.convert.DateTimeCalendarConverter.CONVERSION";

	public static final String CONVERTER_ID = "org.jvnet.hifaces.DateTimeCalendar";

	public static final String PATTERN = "yyyy-MM-dd HH:mm:ss";

	protected String getConversionMessageId() {
		return CONVERSION_MESSAGE_ID;
	}

	protected DateFormat getDateFormat() {
		
		return new SimpleDateFormat(PATTERN);
	}
}