package org.jvnet.hifaces.util;

import javax.faces.component.html.HtmlGraphicImage;
import javax.faces.el.ValueBinding;

public class ImageUtils {

	private ImageUtils() {

	}

	public static HtmlGraphicImage createGraphicImage() {
		final HtmlGraphicImage image = new HtmlGraphicImage();
		IdUtils.assignId(image);
		return image;
	}

	public static HtmlGraphicImage createGraphicImage(String href) {
		final HtmlGraphicImage image = createGraphicImage();
		image.setUrl(href);
		return image;
	}

	public static HtmlGraphicImage createGraphicImage(String href, ValueBinding title) {
		final HtmlGraphicImage image = createGraphicImage();
		image.setUrl(href);
		image.setValueBinding("title", title);
		return image;
	}

}
